Mono.Cairo 1.0.5000.0 2.0.0.0 System.ValueType Stores the extents of a single glyph or a string of glyphs in user-space coordinates. Because text extents are in user-space coordinates, they are mostly, but not entirely, independent of the current transformation matrix. If you call cairo_scale(cr, 2.0, 2.0), text will be drawn twice as big, but the reported text extents will not be doubled. They will change slightly due to hinting (so you can't assume that metrics are independent of the transformation matrix), but otherwise will remain unchanged.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  System.Double Height of the glyphs as drawn the height 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Double Width of the glyphs as drawn the width 1.0.5000.0 2.0.0.0
- Property
  System.Double Distance to advance in the X direction after drawing these glyphs the x advance 1.0.5000.0 2.0.0.0
- Property
  System.Double The horizontal distance from the origin to the leftmost part of the glyphs as drawn. the x bearing Positive if the glyphs lie entirely to the right of the origin. 1.0.5000.0 2.0.0.0
- Property
  System.Double Distance to advance in the Y direction after drawing these glyphs. the y advance Will typically be zero except for vertical text layout as found in East-Asian languages. 1.0.5000.0 2.0.0.0
- Property
  System.Double The vertical distance from the origin to the topmost part of the glyphs as drawn. the y bearing Positive only if the glyphs lie completely below the origin; will usually be negative. 1.0.5000.0 2.0.0.0